Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product
Class FileChangeTrackPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ConfigTrackPlugin
              org.hyperic.hq.product.ConfigFileTrackPlugin
                  org.hyperic.hq.product.FileChangeTrackPlugin

    public class FileChangeTrackPlugin

extends ConfigFileTrackPlugin

Nested Class Summary
`protected class` | `FileChangeTrackPlugin.EventHandler`

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.hyperic.hq.product.ConfigFileTrackPlugin
`PROP_FILES_PLATFORM, PROP_FILES_SERVER, PROP_FILES_SERVICE, watcher`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`FileChangeTrackPlugin()`

Method Summary
`void` | `configure(org.hyperic.util.config.ConfigResponse config)`
`org.hyperic.util.config.ConfigSchema` | `getConfigSchema(TypeInfo info, org.hyperic.util.config.ConfigResponse config)` currently a placeholder...
`protected String` | `getDefaultConfigFile(TypeInfo info, org.hyperic.util.config.ConfigResponse config)` temporary implementation just so something should show up
`void` | `shutdown()` Called when the server or agent is shutdown.

Methods inherited from class org.hyperic.hq.product.ConfigFileTrackPlugin
`getFiles, getFilesOption, getFileWatcher`

Methods inherited from class org.hyperic.hq.product.ConfigTrackPlugin
`getEnableOption, getManager, init, isEnabled, setEnabled`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getPluginVersion, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setPluginVersion, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### FileChangeTrackPlugin

    public FileChangeTrackPlugin()

Method Detail

### getDefaultConfigFile

    protected String getDefaultConfigFile(TypeInfo info,
                                          org.hyperic.util.config.ConfigResponse config)

  temporary implementation just so something should show up

  Overrides:
    `getDefaultConfigFile` in class `ConfigFileTrackPlugin`

### getConfigSchema

    public org.hyperic.util.config.ConfigSchema getConfigSchema(TypeInfo info,
                                                                org.hyperic.util.config.ConfigResponse config)

  currently a placeholder...

  Overrides:
    `getConfigSchema` in class `ConfigFileTrackPlugin`
  Parameters:
    `info` - The TypeInfo of this plugin from ProductPlugin.getTypes
    `config` - ConfigReponse of the parent resource (if any).
  Returns:
    ConfigSchema for this resource.

### configure

    public void configure(org.hyperic.util.config.ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `ConfigFileTrackPlugin`
  Throws:
    `PluginException`

### shutdown

    public void shutdown()
                  throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the server or agent is shutdown. Use this method to cleanup any resources that were created during the init() method.

  Overrides:
    `shutdown` in class `ConfigFileTrackPlugin`
  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 5.8.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.